Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.crs
Class CoordinateSystem

    java.lang.Object
      org.deegree.datatypes.QualifiedName
          org.deegree.model.crs.CoordinateSystem

All Implemented Interfaces:
  Serializable

    public class CoordinateSystem

extends QualifiedName

A coordinate system is a mathematical space, where the elements of the space are called positions. Each position is described by a list of numbers. The length of the list corresponds to the dimension of the coordinate system. So in a 2D coordinate system each position is described by a list containing 2 numbers.
However, in a coordinate system, not all lists of numbers correspond to a position - some lists may be outside the domain of the coordinate system. For example, in a 2D Lat/Lon coordinate system, the list (91,91) does not correspond to a position.
Some coordinate systems also have a mapping from the mathematical space into locations in the real world. So in a Lat/Lon coordinate system, the mathematical position (lat, long) corresponds to a location on the surface of the Earth. This mapping from the mathematical space into real-world locations is called a Datum.

Since:
  2.0
Version:
  $Revision: 23269 $, 1.0. $Revision: 23269 $, $Date: 2010-03-25 16:32:12 +0100 (Do, 25. Mär 2010) $
Author:
  Andreas Poth, last edited by: $Author: lbuesching $
See Also:
  Serialized Form

Constructor Summary
`` | `CoordinateSystem(CoordinateSystem realCRS)`
`(package private)` | `CoordinateSystem(CoordinateSystem realCRS, String requestedID)` Creates a CoordinateSystem as a wrapper to the real CRS.
`protected` | `CoordinateSystem(String name)` Deprecated. use CoordinateSystem(org.deegree.crs.coordinatesystems.CoordinateSystem, String)
`(package private)` | `CoordinateSystem(String prefix, String localName, URI namespace)` Deprecated. use `CoordinateSystem(org.deegree.crs.coordinatesystems.CoordinateSystem, String)` instead
`(package private)` | `CoordinateSystem(String name, URI namespace)` Deprecated. use `CoordinateSystem(org.deegree.crs.coordinatesystems.CoordinateSystem, String)`

Method Summary
`boolean` | `equals(Object other)`
`Unit[]` | `getAxisUnits()`
`String` | `getCode()` Deprecated. has no relevance, returns a bogus value.
`CoordinateSystem` | `getCRS()`
`int` | `getDimension()`
`String` | `getIdentifier()` This method returns the requested id (given in the constructor) and not the `Identifiable.getIdentifier()` which only returns the first configured id.
`String` | `getName()` Deprecated. use `getIdentifier()` instead
`String` | `getPrefixedName()` Since the crs uses a different namespace system as `QualifiedName` this method only returns the `getIdentifier()`.
`String` | `getUnits()` Deprecated. this method returns the unit of the fist axis, assuming all axis have the same unit, which is not necessarily so. It is better to use the `getAxisUnits()` and iterate over all units.

Methods inherited from class org.deegree.datatypes.QualifiedName
`getAsString, getFormattedString, getLocalName, getNamespace, getPrefix, hashCode, isInNamespace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoordinateSystem

    @Deprecated
    CoordinateSystem(String prefix,
                                String localName,
                                URI namespace)

  Deprecated. use `CoordinateSystem(org.deegree.crs.coordinatesystems.CoordinateSystem, String)` instead

  Parameters:
    `prefix` - must be not null
    `localName` -
    `namespace` -

### CoordinateSystem

    @Deprecated
    CoordinateSystem(String name,
                                URI namespace)

  Deprecated. use `CoordinateSystem(org.deegree.crs.coordinatesystems.CoordinateSystem, String)`

  Parameters:
    `name` -
    `namespace` -

### CoordinateSystem

    @Deprecated
    protected CoordinateSystem(String name)

  Deprecated. use CoordinateSystem(org.deegree.crs.coordinatesystems.CoordinateSystem, String)

  e.g. epgs:4326, should not be used.

  Parameters:
    `name` -

### CoordinateSystem

    CoordinateSystem(CoordinateSystem realCRS,
                     String requestedID)

  Creates a CoordinateSystem as a wrapper to the real CRS.

  Parameters:
    `realCRS` -

### CoordinateSystem

    public CoordinateSystem(CoordinateSystem realCRS)

Parameters:
  `realCRS` - to wrap

Method Detail

### getName

    @Deprecated
    public String getName()

  Deprecated. use `getIdentifier()` instead

  returns the name of the CRS, this method is actually mapped to `getIdentifier()`

  Returns:
    the name of the CRS

### getIdentifier

    public String getIdentifier()

  This method returns the requested id (given in the constructor) and not the `Identifiable.getIdentifier()` which only returns the first configured id.

  Returns:
    the requested id.

### getPrefixedName

    public String getPrefixedName()

  Since the crs uses a different namespace system as `QualifiedName` this method only returns the `getIdentifier()`.

  Overrides:
    `getPrefixedName` in class `QualifiedName`
  Returns:
    string representation of a QualifiedName

### getCode

    @Deprecated
    public String getCode()

  Deprecated. has no relevance, returns a bogus value.

  returns the CRSs code. In case of EPSG:4326 it will be 4326; in case of adv:DE_DHDN_3GK2_NW177 it will be DE_DHDN_3GK2_NW177

  Returns:
    the CRSs code

### getUnits

    @Deprecated
    public String getUnits()

  Deprecated. this method returns the unit of the fist axis, assuming all axis have the same unit, which is not necessarily so. It is better to use the `getAxisUnits()` and iterate over all units.

  returns the unit of the first axis of the encapsulated CRS

  Returns:
    the units of the first axis of the encapsulated CRS

### getAxisUnits

    public Unit[] getAxisUnits()

  Returns:
    the units of all axis.

### getDimension

    public int getDimension()

  Returns:
    the dimension of the encapsulated CRS

### getCRS

    public CoordinateSystem getCRS()

  Returns:
    the encapsulated CRS.

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `QualifiedName`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org